Package cds.healpix

# Interface FlatHashIterator

All Superinterfaces:
  `HierarchyItem`

public interface FlatHashIterator extends HierarchyItem
Define an iterator over the primitive type 'long'. We do this because Iterators in Java can have Object generic types, not primitive types, and we want to avoid auto-boxing for performances reasons. Additionally, we use this interface to iterate over hashes of a same depth given by the `HierarchyItem.depth()` method.

Author:
  F.-X. Pineau

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
Returns `true` if the iteration has more elements.
`long`
`next()`
Returns the next element in the iteration.

### Methods inherited from interface cds.healpix.HierarchyItem

`depth`

## Method Details

### hasNext

boolean hasNext()
Returns `true` if the iteration has more elements. (In other words, returns `true` if `next()` would return an element rather than throwing an exception.)

Returns:
  `true` if the iteration has more elements

### next

long next()
Returns the next element in the iteration.

Returns:
  the next element in the iteration.